karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Charles Moulliard (JIRA)" <j...@apache.org>
Subject [jira] Commented: (KARAF-96) Enhance the features to support the start level
Date Fri, 09 Jul 2010 04:29:49 GMT

    [ https://issues.apache.org/jira/browse/KARAF-96?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12886611#action_12886611
] 

Charles Moulliard commented on KARAF-96:
----------------------------------------

There is a bug with the code committed

Here is the bundles defined with a start-level of  "80"

    <feature name="http" version="1.99.0-SNAPSHOT">
        <config name="org.ops4j.pax.web">
          org.osgi.service.http.port=8181
        </config>
        <bundle>mvn:org.apache.geronimo.specs/geronimo-servlet_2.5_spec/1.1.2</bundle>
        <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jetty-bundle/6.1.22_1</bundle>
        <bundle start-level="80">mvn:org.ops4j.pax.web/pax-web-api/0.7.2</bundle>
        <bundle start-level="80">mvn:org.ops4j.pax.web/pax-web-spi/0.7.2</bundle>
        <bundle start-level="80">mvn:org.ops4j.pax.web/pax-web-runtime/0.7.2</bundle>
        <bundle start-level="80">mvn:org.ops4j.pax.web/pax-web-jetty/0.7.2</bundle>
    </feature>

and what we observe

[  35] [Active     ] [            ] [   60] OPS4J Pax Web - API (0.7.2) // ERROR start level
should be 80 and not 60
[  36] [Active     ] [            ] [   80] OPS4J Pax Web - Service SPI (0.7.2)
[  37] [Active     ] [            ] [   80] OPS4J Pax Web - Runtime (0.7.2)
[  38] [Active     ] [            ] [   80] OPS4J Pax Web - Jetty (0.7.2)

> Enhance the features to support the start level
> -----------------------------------------------
>
>                 Key: KARAF-96
>                 URL: https://issues.apache.org/jira/browse/KARAF-96
>             Project: Karaf
>          Issue Type: Improvement
>            Reporter: Charles Moulliard
>            Assignee: Charles Moulliard
>             Fix For: 2.0.0
>
>
> Enhance the features to support the start level

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message